Apis for files resources
LawVu Files (1.0)
Download OpenAPI description
Languages
Servers
Sandbox API
https://api-sandbox.lawvu.com/file-apis
Production API
https://api.lawvu.com/file-apis
Query
The record type the file in linked to (Matter, Contract, Organisation etc)
Options:
- Matter
- Milestone
- Task
- Organisation
- Contract
- File
- InvoiceBatch
- KnowledgeArticle
- Folder
- FolderTemplate
- KnowledgeLibrary
- InboundEmail
- User
- MessageThread
- TimelineEntry
- MatterStatus
- ContractStatus
- Message
- Comment
Enum"Matter""Milestone""Task""Organisation""Contract""File""InvoiceBatch""KnowledgeArticle""Folder""FolderTemplate"
Operator used for filtering (optional)
Enum"eq""neq""lt""lte""gt""gte""startswith""endswith""contains""doesnotcon"
- Sandbox APIhttps://api-sandbox.lawvu.com/file-apis/v1/files
- Production APIhttps://api.lawvu.com/file-apis/v1/files
- Payload
- JavaScript
- Node.js
- C#
- Python
No request payloadResponse
- text/plain
- application/json
- text/json
No response example- Sandbox APIhttps://api-sandbox.lawvu.com/file-apis/v1/files/{fileId}
- Production APIhttps://api.lawvu.com/file-apis/v1/files/{fileId}
- Payload
- JavaScript
- Node.js
- C#
- Python
No request payloadSuccess
- text/plain
- application/json
- text/json
Options:
- Matter
- Milestone
- Task
- Organisation
- Contract
- File
- InvoiceBatch
- KnowledgeArticle
- Folder
- FolderTemplate
- KnowledgeLibrary
- InboundEmail
- User
- MessageThread
- TimelineEntry
- MatterStatus
- ContractStatus
- Message
- Comment
Enum"Matter""Milestone""Task""Organisation""Contract""File""InvoiceBatch""KnowledgeArticle""Folder""FolderTemplate"
Response
- text/plain
- application/json
- text/json
No response exampleBodyArray []
- application/json-patch+json
- application/json
- text/json
- application/*+json
JSON patch definition for the update. Currently only [name] is supported (file rename)
- Sandbox APIhttps://api-sandbox.lawvu.com/file-apis/v1/files/{fileId}
- Production APIhttps://api.lawvu.com/file-apis/v1/files/{fileId}
- Payload
- JavaScript
- Node.js
- C#
- Python
- application/json-patch+json
- application/json
- text/json
- application/*+json
[ { "value": {}, "path": "string", "op": "string", "from": "string" } ]
- Sandbox APIhttps://api-sandbox.lawvu.com/file-apis/v1/files/{fileId}/download
- Production APIhttps://api.lawvu.com/file-apis/v1/files/{fileId}/download
- Payload
- JavaScript
- Node.js
- C#
- Python
No request payloadResponse
- text/plain
- application/json
- text/json
No response examplePath
BodyThe target entity type in LawVu
Options:
- Matter
- Milestone
- Task
- Organisation
- Contract
- File
- InvoiceBatch
- KnowledgeArticle
- Folder
- FolderTemplate
- KnowledgeLibrary
- InboundEmail
- User
- MessageThread
- TimelineEntry
- MatterStatus
- ContractStatus
- Message
- Comment
Enum"Matter""Milestone""Task""Organisation""Contract""File""InvoiceBatch""KnowledgeArticle""Folder""FolderTemplate"
- application/json-patch+json
- application/json
- text/json
- application/*+json
The upload details
- Sandbox APIhttps://api-sandbox.lawvu.com/file-apis/v1/files/{targetType}/{targetId}
- Production APIhttps://api.lawvu.com/file-apis/v1/files/{targetType}/{targetId}
- Payload
- JavaScript
- Node.js
- C#
- Python
- application/json-patch+json
- application/json
- text/json
- application/*+json
{ "folderId": 0, "isBrowsable": true, "fileData": "string" }
Response
- text/plain
- application/json
- text/json
No response examplePath
BodyThe target of the upload
Options:
- Matter
- Milestone
- Task
- Organisation
- Contract
- File
- InvoiceBatch
- KnowledgeArticle
- Folder
- FolderTemplate
- KnowledgeLibrary
- InboundEmail
- User
- MessageThread
- TimelineEntry
- MatterStatus
- ContractStatus
- Message
- Comment
Enum"Matter""Milestone""Task""Organisation""Contract""File""InvoiceBatch""KnowledgeArticle""Folder""FolderTemplate"
- application/json-patch+json
- application/json
- text/json
- application/*+json
The details of the finalisation
Options:
- Replace
- KeepBoth
- SaveVersion
- Skip
Enum"Replace""KeepBoth""SaveVersion""Skip"
- Sandbox APIhttps://api-sandbox.lawvu.com/file-apis/v1/files/{targetType}/{targetId}/uploads/{uploadId}
- Production APIhttps://api.lawvu.com/file-apis/v1/files/{targetType}/{targetId}/uploads/{uploadId}
- Payload
- JavaScript
- Node.js
- C#
- Python
- application/json-patch+json
- application/json
- text/json
- application/*+json
{ "outcome": "Succeeded", "conflictResolution": "Replace", "failureReason": "string", "comments": "string", "isSigned": true }
Response
- text/plain
- application/json
- text/json
No response example